FruxonDocs
ApiAuthsettingsmetadata

Gets authorization settings metadata for all supported auth types.

Returns the configuration parameters and their descriptions for each supported authorization type, used when creating or editing integrations.

GET
/v1/auth-metadata:settings

Response Body

curl -X GET "https://api.fruxon.com/v1/auth-metadata:settings"
{
  "none": {
    "parametersMetadata": [
      {
        "name": "string",
        "index": 0,
        "type": "string",
        "typeName": "string",
        "integerRange": {
          "min": 0,
          "max": 0
        },
        "floatRange": {
          "min": 0.1,
          "max": 0.1
        },
        "options": [
          {
            "value": "string",
            "label": "string",
            "description": "string"
          }
        ],
        "asset": {
          "providers": [
            "string"
          ],
          "contentTypes": [
            "string"
          ],
          "vectorized": true
        },
        "displayName": "string",
        "description": "string",
        "required": true,
        "secret": true,
        "defaultValue": "string",
        "jsonSchema": "string",
        "uiHint": "code",
        "rules": [
          {
            "effect": "show",
            "all": [
              {
                "sourceParam": "string",
                "operator": "equals",
                "values": [
                  "string"
                ]
              }
            ]
          }
        ]
      }
    ]
  },
  "apiKey": {
    "parametersMetadata": [
      {
        "name": "string",
        "index": 0,
        "type": "string",
        "typeName": "string",
        "integerRange": {
          "min": 0,
          "max": 0
        },
        "floatRange": {
          "min": 0.1,
          "max": 0.1
        },
        "options": [
          {
            "value": "string",
            "label": "string",
            "description": "string"
          }
        ],
        "asset": {
          "providers": [
            "string"
          ],
          "contentTypes": [
            "string"
          ],
          "vectorized": true
        },
        "displayName": "string",
        "description": "string",
        "required": true,
        "secret": true,
        "defaultValue": "string",
        "jsonSchema": "string",
        "uiHint": "code",
        "rules": [
          {
            "effect": "show",
            "all": [
              {
                "sourceParam": "string",
                "operator": "equals",
                "values": [
                  "string"
                ]
              }
            ]
          }
        ]
      }
    ]
  },
  "bearerToken": {
    "parametersMetadata": [
      {
        "name": "string",
        "index": 0,
        "type": "string",
        "typeName": "string",
        "integerRange": {
          "min": 0,
          "max": 0
        },
        "floatRange": {
          "min": 0.1,
          "max": 0.1
        },
        "options": [
          {
            "value": "string",
            "label": "string",
            "description": "string"
          }
        ],
        "asset": {
          "providers": [
            "string"
          ],
          "contentTypes": [
            "string"
          ],
          "vectorized": true
        },
        "displayName": "string",
        "description": "string",
        "required": true,
        "secret": true,
        "defaultValue": "string",
        "jsonSchema": "string",
        "uiHint": "code",
        "rules": [
          {
            "effect": "show",
            "all": [
              {
                "sourceParam": "string",
                "operator": "equals",
                "values": [
                  "string"
                ]
              }
            ]
          }
        ]
      }
    ]
  },
  "basicAuth": {
    "parametersMetadata": [
      {
        "name": "string",
        "index": 0,
        "type": "string",
        "typeName": "string",
        "integerRange": {
          "min": 0,
          "max": 0
        },
        "floatRange": {
          "min": 0.1,
          "max": 0.1
        },
        "options": [
          {
            "value": "string",
            "label": "string",
            "description": "string"
          }
        ],
        "asset": {
          "providers": [
            "string"
          ],
          "contentTypes": [
            "string"
          ],
          "vectorized": true
        },
        "displayName": "string",
        "description": "string",
        "required": true,
        "secret": true,
        "defaultValue": "string",
        "jsonSchema": "string",
        "uiHint": "code",
        "rules": [
          {
            "effect": "show",
            "all": [
              {
                "sourceParam": "string",
                "operator": "equals",
                "values": [
                  "string"
                ]
              }
            ]
          }
        ]
      }
    ]
  },
  "oAuth2": {
    "parametersMetadata": [
      {
        "name": "string",
        "index": 0,
        "type": "string",
        "typeName": "string",
        "integerRange": {
          "min": 0,
          "max": 0
        },
        "floatRange": {
          "min": 0.1,
          "max": 0.1
        },
        "options": [
          {
            "value": "string",
            "label": "string",
            "description": "string"
          }
        ],
        "asset": {
          "providers": [
            "string"
          ],
          "contentTypes": [
            "string"
          ],
          "vectorized": true
        },
        "displayName": "string",
        "description": "string",
        "required": true,
        "secret": true,
        "defaultValue": "string",
        "jsonSchema": "string",
        "uiHint": "code",
        "rules": [
          {
            "effect": "show",
            "all": [
              {
                "sourceParam": "string",
                "operator": "equals",
                "values": [
                  "string"
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
Empty
Empty